package com.yunzhi.marketing.redpack.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 红包客户端消息配置 
 * </p>
 *
 * @author fxf
 * @since 2020-06-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaRedPacketClient implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 活动ID
     */
    @TableId(value = "activity_id", type = IdType.UUID)
    private String activityId;

    /**
     * 商户名称
     */
    private String mchName;

    /**
     * 红包祝福语
     */
    private String blessing;

    /**
     * 活动名称
     */
    private String activityName;

    /**
     * 备注
     */
    private String remark;
}
